Loading...
Searching...
No Matches
driver_opencl.h File Reference
`#include <CL/cl.h>`
`#include <core/workers.h>`
`#include <datawizard/node_ops.h>`

Go to the source code of this file.

## Macros

#define | _GNU_SOURCE
#define | CL_TARGET_OPENCL_VERSION

## Functions

void | _starpu_opencl_preinit (void)
void | _starpu_opencl_discover_devices (struct _starpu_machine_config *config)
void | _starpu_opencl_init (void)
int | _starpu_opencl_init_context (int devid)
int | _starpu_opencl_deinit_context (int devid)
unsigned | _starpu_opencl_get_device_count (void)
hwloc_obj_t | _starpu_opencl_get_hwloc_obj (hwloc_topology_t topology, int devid)
void | _starpu_init_opencl_config (struct _starpu_machine_topology *topology, struct _starpu_machine_config *)
void | _starpu_opencl_init_worker_binding (struct _starpu_machine_config *config, int no_mp_config STARPU_ATTRIBUTE_UNUSED, struct _starpu_worker *workerarg)
void | _starpu_opencl_init_worker_memory (struct _starpu_machine_config *config, int no_mp_config STARPU_ATTRIBUTE_UNUSED, struct _starpu_worker *workerarg)
void * | _starpu_opencl_worker (void *)
cl_device_type | _starpu_opencl_get_device_type (int devid)

## Variables

struct _starpu_node_ops | _starpu_driver_opencl_node_ops
struct _starpu_driver_ops | _starpu_driver_opencl_ops
char * | _starpu_opencl_program_dir